{"openapi":"3.0.0","info":{"title":"Aareon external API","description":"The external web service catalog Id07225 (Lejonfastigheter).","version":"1.0.0"},"servers":[{"url":"http://172.20.112.117:8775/Incit/Service/External/Web/ServiceCatalogue/api","description":"puth the api url here"}],"paths":{"/GetAssignment":{"get":{"security":[{"ApiKeyAuth":[]}],"tags":["Assignment"],"summary":"Returns a assignment by code.","parameters":[{"in":"query","name":"code","schema":{"type":"string"},"description":"the assignment code"}],"responses":{"200":{"description":"OK"},"400":{"description":"Error bad request"},"default":{"description":"Unexpected error"}}}},"/GetAssignmentMessage":{"get":{"security":[{"ApiKeyAuth":[]}],"tags":["Assignment"],"summary":"Returns a assignment by code.","parameters":[{"in":"query","name":"code","schema":{"type":"string"},"description":"the assignment code"}],"responses":{"200":{"description":"OK"},"400":{"description":"A user with the specified ID was not found."},"default":{"description":"Unexpected error"}}}},"/GetAssignmentList":{"post":{"security":[{"ApiKeyAuth":[]}],"tags":["Assignment"],"summary":"Returns a assignment list.","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetAssignmentList"}}}},"responses":{"200":{"description":"OK"},"400":{"description":"Error bad request"},"default":{"description":"Unexpected error"}}}},"/GetAssignmentListVitec":{"post":{"security":[{"ApiKeyAuth":[]}],"tags":["Assignment"],"summary":"Returns the Vitec assigment list.","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetAssignmentListVitec"}}}},"responses":{"200":{"description":"OK"},"400":{"description":"Error bad request"},"default":{"description":"Unexpected error"}}}},"/CreateAssignmentDocumentConnection":{"post":{"security":[{"ApiKeyAuth":[]}],"tags":["Document"],"summary":"Returns the result of the created entity.","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateAssignmentDocumentConnection"}}}},"responses":{"200":{"description":"OK"},"400":{"description":"A user with the specified ID was not found."},"default":{"description":"Unexpected error"}}}},"/CreateDocument":{"post":{"security":[{"ApiKeyAuth":[]}],"tags":["Document"],"summary":"Returns the result of the created entity.","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateDocument"}}}},"responses":{"200":{"description":"OK"},"400":{"description":"A user with the specified ID was not found."},"default":{"description":"Unexpected error"}}}},"/SetAssignmentNote":{"post":{"security":[{"ApiKeyAuth":[]}],"tags":["Assignment"],"summary":"Returns the result of the created entity.","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SetAssignmentNote"}}}},"responses":{"200":{"description":"OK"},"400":{"description":"A user with the specified ID was not found."},"default":{"description":"Unexpected error"}}}},"/UpdateAssignmentStatus":{"post":{"security":[{"ApiKeyAuth":[]}],"tags":["Assignment"],"summary":"Returns the result of the created entity.","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateAssignmentStatus"}}}},"responses":{"200":{"description":"OK"},"400":{"description":"A user with the specified ID was not found."},"default":{"description":"Unexpected error"}}}},"/UpdateAssignment07225":{"post":{"security":[{"ApiKeyAuth":[]}],"tags":["Assignment"],"summary":"Returns a assignment list.","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateAssignment07225"}}}},"responses":{"200":{"description":"OK"},"400":{"description":"Error bad request"},"default":{"description":"Unexpected error"}}}},"/CreateErrorReport07225":{"post":{"security":[{"ApiKeyAuth":[]}],"tags":["Assignment"],"summary":"Returns the result of the created entity.","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateErrorReport07225"}}}},"responses":{"200":{"description":"OK"},"400":{"description":"Error bad request"},"default":{"description":"Unexpected error"}}}},"/CreateAssignment":{"post":{"security":[{"ApiKeyAuth":[]}],"tags":["Assignment"],"summary":"Returns the result of the created entity.","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateAssignment"}}}},"responses":{"200":{"description":"OK"},"400":{"description":"Error bad request"},"default":{"description":"Unexpected error"}}}},"/token":{"post":{"summary":"Returns the accesstoken.","tags":["Auth"],"requestBody":{"required":true,"content":{"text/plain":{"schema":{"type":"string","example":"username=5CF8AA440924485486F8409BC2C45&password=497F5443C75185484A9E9E7C05636A736"}}}},"responses":{"200":{"description":"OK"},"400":{"description":"A user with the specified ID was not found."},"default":{"description":"Unexpected error"}}}}},"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"access-token"}},"schemas":{"GetAssignmentList":{"type":"object","properties":{"AccessObjectCaption":{"type":"string"},"CreatedFrom":{"type":"string","format":"date-time"},"CreatedTo":{"type":"string","format":"date-time"},"Status":{"type":"integer","format":"int64","example":"4"},"ContactCodeNotifier":{"type":"string"},"ContactCodePayer":{"type":"string"},"AssignmentCompanyCode":{"type":"string"},"RentalObjectId":{"type":"string","format":"int64","example":"1"},"CompanyCode":{"type":"string","example":"001"},"RealEstateObjectTypes":{"type":"integer","example":"0"},"RealEstateObjectTypesFilters":{"type":"array","items":{"type":"object","properties":{"Not":{"type":"boolean","default":true},"Operand":{"type":"integer"},"Value":{"type":"integer"}}}},"StatusFilters":{"type":"array","items":{"type":"object","properties":{"Not":{"type":"boolean","default":true},"Operand":{"type":"integer"},"Value":{"type":"integer"}}}},"MessageCulture":{"type":"integer","format":"int64","example":"1053"}}},"GetAssignmentListVitec":{"type":"object","properties":{"AccessObjectCaption":{"type":"string"},"CreatedFrom":{"type":"string","format":"date-time"},"CreatedTo":{"type":"string","format":"date-time"},"Status":{"type":"integer","format":"int64","example":"4"},"ContactCodeNotifier":{"type":"string"},"ContactCodePayer":{"type":"string"},"AssignmentCompanyCode":{"type":"string"},"RentalObjectId":{"type":"string","format":"int64","example":"1"},"CompanyCode":{"type":"string","example":"001"},"RealEstateObjectTypes":{"type":"integer","example":"0"},"RealEstateObjectTypesFilters":{"type":"array","items":{"type":"object","properties":{"Not":{"type":"boolean","default":true},"Operand":{"type":"integer"},"Value":{"type":"integer"}}}},"StatusFilters":{"type":"array","items":{"type":"object","properties":{"Not":{"type":"boolean","default":true},"Operand":{"type":"integer"},"Value":{"type":"integer"}}}},"MessageCulture":{"type":"integer","format":"int64","example":"1053"}}},"SetAssignmentNote":{"type":"object","properties":{"AssignmentCode":{"type":"string","example":"20-00932"},"CompanyId":{"type":"string","example":"001"},"ReferenceText":{"type":"string","example":"Append this text"},"MessageCulture":{"type":"integer","format":"int64","example":"1053"}}},"CreateAssignmentDocumentConnection":{"type":"object","properties":{"CompanyCode":{"type":"string"},"AssignmentCode":{"type":"string","example":"20-00932"},"DocumentCode":{"type":"string","example":"The document code"},"DocumentRevision":{"type":"string","example":"1"},"MessageCulture":{"type":"string","format":"int64","example":"1053"}}},"CreateDocument":{"type":"object","properties":{"Caption":{"type":"string","example":"Dokument skapat från webbtjänst"},"Code":{"type":"string","example":"test02"},"CompanyCode":{"type":"string","example":"001"},"DocumentTypeCaption":{"type":"string","example":"testtxt"},"Path":{"type":"string","example":"C:\temp\text.txt"},"Revision":{"type":"string","example":"1"},"File":{"type":"string","format":"byte","example":"U3dhZ2dlciByb2Nrcw=="},"MessageCulture":{"type":"string","format":"int64","example":"1053"}}},"UpdateAssignment07225":{"type":"object","properties":{"AssignmentCode":{"type":"string","example":"20-00932"},"Description":{"type":"string","example":"Integrationstest, den nya beskrivningen."},"LogMessage":{"type":"string","example":"Loggmeddelande"},"PriorityCode":{"type":"string","example":""},"ResourceCode":{"type":"string","example":""},"ResourceGroupCode":{"type":"string","example":"VALLBY"},"SecondAffLevelCode":{"type":"string","example":""},"NewStatus":{"type":"integer","example":"1"},"UserId":{"type":"string"},"MessageCulture":{"type":"string","format":"int64","example":"1053"}}},"UpdateAssignmentStatus":{"type":"object","properties":{"AssignmentCode":{"type":"string","example":"20-00904"},"NewStatus":{"type":"integer","example":"4"},"MessageCulture":{"type":"string","format":"int64","example":"1053"}}},"CreateErrorReport07225":{"type":"object","properties":{"AccessObject":{"type":"string","example":"Tilträde"},"AssignmentDueDate":{"type":"string","example":"2021-03-01"},"AssignmentFollowers":{"type":"array","items":{"type":"object","properties":{"ContactCode":{"type":"string"},"NotificationKind":{"type":"integer","example":255}}}},"AssignmentRows":{"type":"array","items":{"type":"object","properties":{"Caption":{"type":"string"},"DetailCode":{"type":"string"},"ErrorTypeCode":{"type":"string"},"LocationCode":{"type":"string"},"MeasureCode":{"type":"string"},"PartOfBuildingCode":{"type":"string"}}}},"AssignmentTypeCaption":{"type":"string"},"Caption":{"type":"string","example":"Test felanmälan"},"CategoryCaption":{"type":"string","example":"Säkerhetsdörr"},"CompanyCode":{"type":"string"},"ConnectedAssignmentCodes":{"type":"object","format":"string","example":"string"},"Description":{"type":"string","example":"Beskriv rapporten"},"LocationCode":{"type":"string"},"NotifierCode":{"type":"string"},"NotifierId":{"type":"string","example":"_5T50XDDA0MVZFG"},"NotifierReference":{"type":"string"},"ObjectId":{"type":"string","example":"_5SZ0NSJ3FMVYPX"},"PartOfBuildingCode":{"type":"string"},"PriorityCode":{"type":"string","example":"Ganska bråttom"},"ResourceCode":{"type":"string"},"ResourceGroupCode":{"type":"string"},"StartTime":{"type":"string","example":"2021-01-01"},"UseMasterKey":{"type":"boolean","default":true},"MessageCulture":{"type":"string","format":"int64","example":"1053"}}},"CreateAssignment":{"type":"object","properties":{"AccessObject":{"type":"string","example":"Tilträde"},"AssignmentDueDate":{"type":"string","example":"2021-03-01"},"AssignmentRows":{"type":"array","items":{"type":"object","properties":{"Caption":{"type":"string"},"DetailCode":{"type":"string"},"ErrorTypeCode":{"type":"string"},"LocationCode":{"type":"string"},"MeasureCode":{"type":"string"},"PartOfBuildingCode":{"type":"string"}}}},"AssignmentTypeCaption":{"type":"string"},"Caption":{"type":"string","example":"Test felanmälan"},"CategoryCaption":{"type":"string","example":"Säkerhetsdörr"},"CompanyCode":{"type":"string"},"Description":{"type":"object","format":"string","example":"string"},"NotifierCode":{"type":"string","example":"FO2"},"NotifierId":{"type":"string","example":"_5T50XDDA0MVZFG"},"NotifierReference":{"type":"string"},"ObjectId":{"type":"string","example":"_5SZ0NSJ3FMVYPX"},"PriorityCode":{"type":"string","example":"Ganska bråttom"},"RentalId":{"type":"string"},"StartTime":{"type":"string","example":"2021-01-01"},"MessageCulture":{"type":"string","format":"int64","example":"1053"}}}}}}